> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Field

> Create a custom field.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/crm/fields
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/fields:
    post:
      tags:
        - CRM
      summary: Create Field
      description: Create a custom field.
      operationId: create_crm_field
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FieldIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    FieldIn:
      properties:
        entity:
          description: company, contact or deal
          title: Entity
          type: string
        label:
          title: Label
          type: string
        field_type:
          description: >-
            text, long_text, number, currency, date, boolean, select,
            multi_select, url or email
          title: Field Type
          type: string
        key:
          anyOf:
            - type: string
            - type: 'null'
          description: Generated from the label when omitted; immutable
          title: Key
        options:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Options
      required:
        - entity
        - label
        - field_type
      title: FieldIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.